clear all clf 
clc

%input
SN = 1;
n = 2*SN;
cAP_0 = 0.185;
cOP_0 = 0.000;

for k = 1:SN
    y0(k) = cAP_0;
end
for k = SN+1:n
    y0(k) = cOP_0;
end

y0 = [y0(1:n)]

fun = @model

y = fsolve(fun,y0)

%Yield calculations
for k = 1:SN;
    X(:,k) = ((cAP_0-y(:,k))/cAP_0)*100
end
for k = 1:SN;
    Y(:,k) = 100 - X(:,k);
end

%Flip array left to right

A=y(SN+1:n);
B=fliplr(A);

tiledlayout(2,2)

%Aqueous phase

nexttile
plot(1:SN,y(1:SN),'o')
ylim([0 cAP_0])
grid on
set(gcf,'position',[1000 100 900 900])
title('Aqueous Phase')

xlabel('SN [-]')
ylabel('c [mol/L]')

%Organic phase

nexttile
plot(1:SN,B,'o')
ylim([0 cAP_0])
grid on
title('Organic Phase')

xlabel('SN [-]')
ylabel('c [mol/L]')

%Extraction yields

nexttile
plot(1:SN,X,'o')
grid on
title('Extraction Yields')

xlabel('SN [-]')
ylabel('X [%]')

nexttile
plot(1:SN,Y,'o')
grid on
title('Extraction Yields')

xlabel('SN [-]')
ylabel('X [%]')
